PETSc version 3.15.5
Fix/Edit manual page

# DMShellGetCreateInterpolation

Get the routine used to create the interpolation operator

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetCreateInterpolation(DM dm, PetscErrorCode (**interp)(DM,DM,Mat*,Vec*))

Logically Collective on dm

### Input Argument

| dm | - the shell DM

### Output Argument

| interp | - the routine to create the interpolation

### See Also

DMShellGetCreateInjection(), DMCreateInterpolation(), DMShellGetCreateRestriction(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages